Skip to main content
POST
/
reports
/
t4-preview
Create T4 preview report
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/reports/t4-preview \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": {
    "year": 2026
  }
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/reports/t4-preview"

payload = { "filters": { "year": 2026 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filters: {year: 2026}})
};

fetch('https://sandbox.nmbr.co/services/payroll/reports/t4-preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<id>",
  "object": "report",
  "data": {
    "type": "t4-preview",
    "business_entity": null,
    "pay_schedule": null,
    "payroll": null,
    "filters": {
      "payroll_type": null,
      "payroll_status": [
        "approved",
        "processing",
        "paid"
      ],
      "pay_date_from": "2026-01-01",
      "pay_date_to": "2026-12-31",
      "year": 2026
    },
    "has_results": false,
    "format": null,
    "sheet": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/reports/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
business_entity_id
string

Optional, the business entity to limit the report to.

filters
object

Options to allow filtering the content of the report

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("report").

data
Report · object